
<ion-content>
    <ion-fab class='fabmain' vertical="top" horizontal="start" slot="fixed">
        <ion-fab-button class='blancocolor' color="transparent" (click)="backbutton()">
            <ion-icon name="arrow-back-outline"></ion-icon>
        </ion-fab-button>
    </ion-fab>
    <ion-row class='start'>
            <ion-col class="ion-text-center negritas">
                <ion-label color='morado'>Eventos</ion-label>
            </ion-col>
    </ion-row>
    <br />
    <br />
    <ion-row>
        <ion-col size="2">
            <ion-button fill="clear" color='morado' (click)="back()">
                <ion-icon name="arrow-back" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-col>
        <ion-col size="8" class="ion-text-center negritas vertical">
            <ion-label color='morado'>{{ viewTitle }}</ion-label>
        </ion-col>
        <ion-col size="2">
            <ion-button fill="clear" color='morado' (click)="next()">
                <ion-icon name="arrow-forward" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-col>
    </ion-row>
    <div>
        

        <calendar [monthviewEventDetailTemplate]="monthviewDefaultEventDetailTemplate" [eventSource]="eventSource" calendarMode="month" [currentDate]="calendar.currentDate" (onEventSelected)="onEventSelected($event)" (onTitleChanged)="onViewTitleChanged($event)" (onCurrentDateChanged)="onCurrentChanged($event)" ></calendar>
        <ng-template #monthviewDefaultEventDetailTemplate let-showEventDetail="showEventDetail" let-selectedDate="selectedDate" let-noEventsLabel="noEventsLabel">
            <ion-list class="event-detail-container" has-bouncing="false" *ngIf="showEventDetail" overflow-scroll="false">
                <ion-item *ngFor="let event of selectedDate?.events" (click)="eventSelected(event)">
                        <span class="event-detail"><b>{{event.title}}</b><br />{{event.detalles}}</span>
                </ion-item>
                <ion-item *ngIf="selectedDate?.events.length==0">
                    <div class="no-events-label">No hay eventos para esta fecha</div>
                </ion-item>
            </ion-list>
        </ng-template>
    </div>
</ion-content>
<ion-footer>
    <ion-toolbar class='ion-text-center'>
        <ion-button color='morado' (click)='navigate("evento")'>
            <ion-icon name="add-outline"></ion-icon>
        </ion-button>
    </ion-toolbar>
</ion-footer>

<!--startHour=6 endHour=20 step=30 startingDayWeek=1-->